Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNITY EXPRESS

Welcome to the Cisco Networking Professionals Ask the Expert conversation. This is an opportunity to learn about all the new capabilities of Cisco Unity Express with Cisco expert Ashwin Venkatesan. Ashwin has been with Cisco for more than seven years. As a lead engineer in the engineering group, he is an expert on Cisco Unity Express and Cisco Unified Communications Manager Express. He has worked on architectures that involve Cisco Communications Manager, Cisco Unity, Cisco Unity Connection, and Cisco Integrated Services Routers. He has helped design, deploy, and troubleshoot customer networks ranging from small customer topologies to extensively distributed solutions. He also helps with designs for scalability of the solution, documentation, partner training, and system engineer training. In addition, Ashwin works closely with the Cisco Technical Assistance Center to resolve complex issues.

Remember to use the rating system to let Ashwin know if you have received an adequate response.

Ashwin might not be able to answer each question due to the volume expected during this event. Our moderators will post many of the unanswered questions in other discussion forums shortly after the event. This event lasts through February 8, 2008. Visit this forum often to view responses to your questions and the questions of other community members.

38 REPLIES
New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

SO what is this product all about?

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi,

Cisco Unity Express provides messaging and greeting services for increased customer service. For more information about this product please refer to the link provided below. Available as a Network Module or Advanced Integration Module, Cisco Unity Express is a simple addition to Cisco 1861, 2800 Series, UC500 and 3800 Series Routers.

http://www.cisco.com/en/US/products/sw/voicesw/ps5520/index.html

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi,

Is it possible to backup CUE voice messages for later retrieval, and if so how?

Thanks,

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Suleiman ,

Yes it is possible to backup the CUE voicemail messages. The backup up can be performed from either the CUE CLI ( backup category data ) or the CUE GUI to an external FTP server.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi

I have taken over a network with Cisco Call Manager 5.0

I have tenants that have their own companies with my network. I would like to set up the clients Extensions to show the main company phone number when ringing external numbers

Could you help

Barry

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Barry,

Is this a CUE integration with CCM 5.0 ?

Thanks,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Ashwin,

The UC500 ships with an integrated CUE. It ships with 2.3.4. Can you upgrade it to a newer version and if so is it the same process as with the cue module.

Thanks,

Drew

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Drew,

The images used for the regular CUE (NM and AIM) is different from the images which are used by the CUE module in UC500. The installation procedure still remains the same.

Regards,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Ashwin,

Do you have a link to where these CUE files are located? I looked under UC500 in the download center but all I found where the CME files.

Thanks,

Drew

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Drew,

You can refer to the CUE files in the link below. Let me know if you have any questions.

http://www.cisco.com/cgi-bin/tablebuild.pl/UC520-CUE-2.3.4

Thanks,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Ashwin,

Sorry to go back to a post from a few days ago, but I had a couple of questions about upgrading CUE.

First is that the link above goes to localization files for CUE 2.3.4, not new CUE versions.

Is it possible to upgrade? Is there any point upgrading 2.3.4 to a 3. version?

Finally I need to change the localization from US to GB using the CLI on a UC520. Are there instructions for doing this? I'm in Australia and since there is no localization for our region, I need to change the voice announcement from referring to the bottom-right key on a phone from "pound" to "hash", and I'd prefer a British accented voice as well.

Thanks

Damian Halloran.

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Damian,

For UC500 there is currently only one CUE release available as of now which is 2.3.4.1. The next CUE release for UC500 will be 3.0.3.1 which is planned to available the first week of March. The only option for upgrade to this release (3.0.3.1) from the first release (2.3.4.1)is to do a back up of 2.3.4.1 first , then do a clean install of 3.0.3.1 and then restore this backup.

If you are using 2.3.4.1 then you can use "software install clean ...lang.pkg" and select the desired language.

If you are using 3.0.3.1 then you need to use the CLI "software install add...lang.pkg" to change the language. let me know if you have any questions.

The following document below is a generic document for CUE installations.

http://www.cisco.com/en/US/products/sw/voicesw/ps5520/products_tech_note09186a008064172a.shtml#t3

Regards,

Ashwin

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Ashwin,

Tried the instructions but am having no luck.

The steps I took were:

1. Did a clean ftp of cue-vm-lang-pack.2.3.4.1.pkg

2. When the language selection menu came up I removed en_US, and then selected en_UK,

3. Then tried a clean ftp of cue-vm-en_GB-lang-pack.2.3.4.prt1 but these are the responses I get from the system:

WARNING:: This command will download the necessary software to

WARNING:: complete a clean install. It is recommended that a backup be done

WARNING:: before installing software.

Would you like to continue? [n] y

WARNING:: The package cue-vm-en_GB-lang-pack.2.3.4.prt1 is not found on the system.

WARNING:: An attempt will be made to download this package from the FTP server

WARNING:: However the system has the following packages already downloaded -

cue-vm-lang-pack.2.3.4.1.pkg

WARNING:: If you continue to download the package cue-vm-en_GB-lang-pack.2.3.4.prt1, these packages

WARNING:: will be deleted from the system. Do you want to continue (y/n) ?y

Downloading ftp cue-vm-en_GB-lang-pack.2.3.4.prt1

Bytes downloaded : 22351920 Bytes

Validating package signature ... done

ERROR: Invalid package. Please verify if this is a valid package file.

Where am I going wrong?

Thanks again,

Damian.

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Damian,

I assume you are doing this on UC500.

Are you using the file cue-vm-en_GB-lang-pack.2.3.4.1.prt1...from the UC500 download page.

http://www.cisco.com/cgi-bin/tablebuild.pl/UC520-CUE-2.3.4.

I am asking because the downloading piece in the output you have provided shows the version as 2.3.4 (cue-vm-en_GB-lang-pack.2.3.4.prt1

) and not 2.3.4.1..

Thanks,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Vashwin,

So I can ONLY run the CUE version that currently ships with the UC500, that is,version 2.3.4.1?? I cannot upgrade the CUE version 2.3.4.1 that comes with the U500 to CUE 3.0.3.1 like I would with a regular CUE system??

Thanks,

Tony

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Tony,

Yes you can upgrade to 3.0.3.1 when it is released. But for upgrade you would first need to take a back up of 2.3.4.1 , then do a clean install of 3.0.3.1 and then restore this backup . Also to clarify "software install upgrade" is not supported from 2.3.4.1 to 3.0.3.1. Only option for upgrade is clean install in online or offline (boot helper mode) mode. Hope this clarifies your question

Regards,

Ashwin

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hello Aswhin,

We use CUE with CME a lot. One of the issues with IVRs, particular the Call Redirect step, is that there appears to be no way you can use the Busy step because CUE doesn't do anything with the busy message of CME. Are there any plans of better integration between the two products? Is there anything else in the roadmap you can share?

Thanks in advance, keep up the good work.

Steve

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hello Steve,

There is no busy step, but a Busy output in the Call redirect step. If you use the Call redirect step and ccn subsystem sip transfer mode is set to attended or semi-attended , the script will go into the buys output if the other end is busy.

If the transfer mode is blind then we won't go into the busy output, because the call would be transfered from CUE, but if the transfer mode is attended or semi attended we will get the notification that the other end is busy and the call will go into the busy output branch.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Thank you for the reply;

I was indeed referring to the Busy output from the Call Redirect step. What do you mean with 'setting the subsystem sip transfer mode to (semi-) attendant?' I was not aware of the ability to configure any 'advanced' sip related info in CUE. But now I see:

NM-CUE(config-sip)# transfer-mode ?

attended Attended transfer using REFER-transfer on connect

blind blind transfer using REFER or bye-also

semi-attended Semi attended transfer using REFER-transfer on Ringing

NM-CUE(config-sip)# transfer-mode

Do you mean this? TAC earlier mentioned SIP REFER/302 not been supported.

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Steve,

Yes, the transfer mode is configured by using the CLI you have mentioned and yes SIP/REFER 302 is supported since CUE 2.3

Regards,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Ashwin,

After workin on IPCCX now i am moving to CME. So am new to it. grasp many ideas but need to know about the compatibility of IOS and CME software. I found only one CME c2800nm-ipvoicek9-mz.124-4.T6 file in a working lab envoirnment. No other or saperate file of any IOS Ver in Flash. Would you please explain the relationship between IOS and CME and about the compatibility and the interoperatibility of the two?

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hello Mudassar,

CME is embedded in the Cisco IOS software and provides call processing for Cisco Unified IP phones. This solution enables the large portfolio of Cisco access and integrated services routers to deliver a comprehensive set of features used by business customers. More information can be found in the link below.

http://www.cisco.com/en/US/products/sw/voicesw/ps4625/index.html

Cisco Unified CME and Cisco IOS Software Version Compatibility Matrix is provided in the link below.

http://www.cisco.com/en/US/docs/voice_ip_comm/cucme/requirements/guide/33matrix.htm

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Ashwin,

For example, our company has central office with server running Cisco Unified CallManager 5.0, and we have several remote branch offices, where we want to use Cisco Unified Communications 500 Series running Cisco Unified Communications Manager Express 4.2. We want to connect the Cisco Unified Communications 500 Series to the central office and all calls will be processed by the Cisco Unified CallManager 5.0. Is it possible? If no, why? And what can you suggest?

Thanks,

Olzhas

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Olzhas,

This cannot be accomplished by using UC500 as it is not positioned for branch office solutions. You can use ISR c1861 for these deployments.

Regards,

Ashwin

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

hi

I just wanted to know abt the cisco approved training institute at hyderbad. please provide me a address of the same.

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi,

Please refer to the link below:

http://www.cisco.com/asiapac/academy/index.shtml

Regards,

Ashwin.

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi,

I have a two part question. The first is directed at upgrading the CUE system. So far, I have been unable to complete a 'software install upgrade' on all systems but one. Even an upgrade from 3.0.2 to 3.0.3 required a clean install. Will there be better support for in place upgrades in the future?

The second question is whether CUE editor will support the silent digit collection, which is part of the both the built in scripts and the built in CUE Script editor (which can be somewhat limited).

Thanks,

-ryan

New Member

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

I have 3 questions for you.

Can I determine the CUE version running for a show tech-support on the router that the CUE NM is installed? If not how do I determine the version that is installed and running?

Is the script editor version specific to the CUE version installed? I know on IPCC that you need to user the same script editor version that the IPCC is running.

Thanks

-Dave

Cisco Employee

Re: ASK THE EXPERT - ENHANCING YOUR COMMUNICATION WITH CISCO UNI

Hi Dave,

Show tech support on IOS will not provide the CUE version . If you want to see the CUE version running from IOS side you can issue the CLI "service-module service-engine status" CLI which will tell you the CUE version. This will also tell you if the CUE module is an NM or an AIM.

Yes the script editor is specific to the CUE version installed. For each CUE release we do have a seperate editor.

Hope this helps,

Regards,

Ashwin.

220
Views
74
Helpful
38
Replies